For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet comments
      • POSTCreate a comment
      • GETGet a comment by ID
      • DELDelete a comment
      • PATCHUpdate a comment
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableComments

Update a comment

PATCH
/comments/:comment_id
PATCH
/v1/comments/:comment_id
$curl -X PATCH https://api.sandbox.monite.com/v1/comments/comment_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_by_entity_user_id": "created_by_entity_user_id",
4 "entity_id": "entity_id",
5 "object_id": "object_id",
6 "object_type": "object_type",
7 "status": "active",
8 "text": "text",
9 "created_at": "2024-01-15T09:30:00Z",
10 "updated_at": "2024-01-15T09:30:00Z",
11 "reply_to_entity_user_id": "reply_to_entity_user_id"
12}
Update comment
Was this page helpful?
Previous

Get credit notes

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

comment_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
reply_to_entity_user_idstringOptionalformat: "uuid"
textstringOptional

Response

Successful Response
idstringformat: "uuid"
created_by_entity_user_idstringformat: "uuid"
entity_idstringformat: "uuid"
object_idstringformat: "uuid"
object_typestring
statusenum
Allowed values:
textstring
created_atdatetime
updated_atdatetime
reply_to_entity_user_idstringformat: "uuid"

Errors

400
Patch Comments ID Request Bad Request Error
401
Patch Comments ID Request Unauthorized Error
403
Patch Comments ID Request Forbidden Error
404
Patch Comments ID Request Not Found Error
409
Patch Comments ID Request Conflict Error
422
Patch Comments ID Request Unprocessable Entity Error
429
Patch Comments ID Request Too Many Requests Error